Skip to navigation

Remove a file from a template’s bundle

View as Markdown

Takes a file out of this template’s bundle. The file itself stays in your template library — this only unlinks it.

Removing the file that main names would leave the template unrenderable, so that answers 422 unless the same call names the new entry point with ?main=.

Learn more: Compose

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idOrSlugstringRequired>=1 character
fileIdstringRequired>=1 character

Query parameters

mainstringOptional>=1 character

Response

The updated template config.
object"config"
idstring
slugstring
namestring
capability"compose"
configobject
updatedAtstringOptional

Errors

404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error